---
layout: default
title: CAS - Google Authenticator Authentication
---

# Google Authenticator Authentication
Google Authenticator generates 2-step verification codes on your phone.
Enable 2-step verification to protect your account from hijacking by adding another layer of security. 
With 2-step verification signing in will require a code generated by the Google Authenticator app in addition to your account password.

Start by visiting the [Google documentation](https://accounts.google.com/SmsAuthConfig).

Support is enabled by including the following module in the Overlay:

```xml
<dependency>
     <groupId>org.apereo.cas</groupId>
     <artifactId>cas-server-support-gauth</artifactId>
     <version>${cas.version}</version>
</dependency>
```

## Configuration

```properties
# cas.mfa.gauth.code.digits=
# cas.mfa.gauth.time.step=
# cas.mfa.gauth.window=
# cas.mfa.gauth.label=
# cas.mfa.gauth.issuer=
# cas.mfa.gauth.rank=0
```

## Registration

By defaults, an account registry implementation is included that collects user device registration and saves them into memory. 
This option should only be used for demo and testing purposes. Production deployments of this feature will require a separate
implementation of the registry that is capable to register accounts into persistent storage. 

To provide such an option, provide an implementation of `GoogleAuthenticatorAccountRegistry`. Make sure your implementation
is named `googleAuthenticatorAccountRegistry` in the Spring configuration. 
